
Core - Bug # 55022

Epic # 55070 (Accepted): Workpackages
Epic # 55065 (New): WP: Overall System Performance (Backend and Frontend)
Bug # 52949 (Resolved): Speed decrease since 4.5

Status: Resolved Priority: Should have
Author: Alexander Opitz Category:
Created: 2014-01-15 Assigned To: Alexander Opitz
Updated: 2014-01-17 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity:
Is Regression: No
Sprint Focus:
Subject: PackageManager Cache is invalid if typo3 dir has symlinks
Description

In the PackageManager cache file is a validation of the actual file path to the file path the cache was last generated. This was written
to invalidate the cache if someone moves TYPO3 around. This comparison fails on symlinks in path. As you need to clear the
complete cache after moving the typo3 directory for other purposes and as this is no real use case, we can remove this line.

Associated revisions
Revision 5444b2fd - 2014-01-16 23:52 - Alexander Opitz

[BUGFIX] PackageManager no cache if TYPO3 dir has symlinks

In the PackageManager cache file is a validation of the actual file
path to the file path the cache was last generated. This was written
to invalidate the cache if someone moves TYPO3 around. This comparison
fails on symlinks in path. As you need to clear the complete cache
after moving the typo3 directory for other purposes and as this is no
real use case, we can remove this line.

Resolves: #55022
Releases: 6.2
Change-Id: I12d0fe09a3a7e1b3aad2f08c4bcde7a337cab769
Reviewed-on: https://review.typo3.org/26838
Reviewed-by: Thomas Maroschik
Tested-by: Thomas Maroschik
Reviewed-by: Markus Klein
Tested-by: Markus Klein
Reviewed-by: Stefan Neufeind
Tested-by: Stefan Neufeind

History
#1 - 2014-01-15 15:15 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/26838

#2 - 2014-01-17 00:30 - Alexander Opitz
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:5444b2fd2ac45192a499cad72d6af8598b1a3dbe.
